###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
#%define		package_name	rrdtool
%define   php_extension rrdtool
###############################################################

#%define phpver	%(rpm -q --queryformat '%{VERSION}' php-devel)
#%define phprel	%(rpm -q --queryformat '%{RELEASE}' php-devel)
%define phpser	%(rpm -q --queryformat '%{SERIAL}'  php-devel)
%define package_version %php_version

Name: php-%php_extension
Version: %php_version
Release: %php_release
Group: System/Servers
License: GPL

Source0: %name.tgz
Source1: %php_extension.ini

PreReq: mod_php >= %phpser:%php_version-%php_release
Requires: librrd

Summary: RRDtool library support for PHP4
%add_serial php-devel

# Automatically added by buildreq on Sun Apr 18 2004
BuildRequires: gcc-c++ librrd-devel libstdc++-devel php-devel

%description
The php-%php_extension includes a dynamic shared object (DSO) that adds
RRDtool support to PHP4. Install this package in addition to main PHP
package if you plan to use RRD.


%prep
%setup -q -n %name

%build
phpize
%configure --with-rrd
%php_make top_srcdir=%_builddir/%name top_builddir=%_builddir/%name

%install
%php_make install top_srcdir=%_builddir/%name top_builddir=%_builddir/%name

%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config

%post
%php_extension_postin

%preun
%php_extension_preun

%files
%php_extconf/%php_extension
%php_extdir/*
%doc INSTALL README USAGE


%changelog
* Sat Aug 14 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- rebuild with new PHP
- fix spec for automatic rebuild with new version of PHP

* Wed Jun 02 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- rebuild with new PHP

* Wed May 26 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- rebuild with new PHP

* Sun Apr 18 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- build for ALT Linux
